# 阶段二 任务二：自主论辩智能体

### 任务与整体框架
基于LLM实现一个自主论辩智能体，与基准智能体针对给定的辩题进行辩论赛。辩论赛遵循以下流程（基准智能体持正方，参赛智能体持反方，发言顺序均为先正方后反方）：
- 立论：提出本方的观点和论据，为辩论奠定基础。
- 驳论：主要对对方的论点进行反驳，并进一步强化自身立场。
- 结辩：回应对方反驳，总结本方发言。
我们将提供一个框架来完成辩论赛的模拟。同时我们会提供一个自动化评测指标作为参考。

可以访问相应的github仓库了解[框架](https://github.com/KashiwaByte/debate-of-thoughts)和[自动指标](https://github.com/ljcleo/debatrix)的更多信息。

### 流程模拟
运行脚本`./CCAC论辩测评脚本.ipynb`来完成辩论赛的模拟。参赛选手可以修改`./CCAC2024论辩测评/ccacdebater.py`中的内容（语言模型、工具、记忆等）完成参赛智能体的搭建，但不允许修改其他脚本内容。测试文件将针对两个辩题（一中一英）模拟两场辩论赛，并将智能体的发言历史进行记录。`./logs`文件夹中给出了一组输出样例。本次智能体模拟赛的两个辩题分别是：
- 中文：当今中国是否应该推出个人破产制度？
- 英文：Is social media beneficial for society?

### 测试说明
我们基于debatrix实现了自动测试脚本，可以查看`debatrix4ccac`文件夹中的内容来完成模型测评。该自动评价指标将从以下几个维度进行打分：
- 论点：论点是否清晰、发言是否合乎给定立场。
- 论据：事实引用是否得当、论据是否充分。
- 逻辑：语句间是否自洽、论证逻辑是否合理。
- 互动：能否抓住对方观点及漏洞。

### 评测规则
1. 本次评测仅支持开源模型参赛，请确保参赛模型权重的可获取性。
2. 只需修改`./CCAC2024论辩测评/ccacdebater.py`中的内容，请勿修改其他脚本内容！
3. 在提交阶段，排行榜上会公示各队提交的Debatrix结果作为参考；而在核验阶段，我们会邀请资深辩论选手进行打分并以该打分为依据确定最终名次。

### 提交指南
提交该任务的上传结果时，在[官网](http://47.99.182.6/upload)选择相应任务后，将debatrix的相关 **输出结果截图** 与 **一组发言历史文本**（在所给的示例中是文件夹`./logs`里的内容）打包后上传即可。