# Debatrix for CCAC

GPT-based automatic debate judge for CCAC.

## Setup

**Note: This script only works on Linux/MacOS!**

Debatrix runs on Python 3.11 and above. We recommend using
[Miniconda](https://docs.conda.io/en/latest/miniconda.html) to set up a virtual
environment:

```Shell
conda create -n debatrix python=3.11
```

Several packages are required; you can install them with `pip`:

```Shell
pip install fastapi jinja2 langchain openai tiktoken uvicorn
```

## Usage

Basic usage:

```Shell
python run.py [MOTION] [RECORD_FILE] [OPTIONS]
```

Example:

```Shell
python run.py "Is social media beneficial for society?" example/file_CCACTest.log -k sk-12345678abcdefgh
```

After running the script, you can find more verdict details in `output/[RECORD_FILE_STEM]_[TIMESTAMP]/record/local_[TIMESTAMP].yml`.

Options:

- `-h`, `--help`: Show help message.
- `-r REPEAT`, `--repeat REPEAT`: Judge repetition (can judge simultaneously).
- `-k API_KEY`, `--api_key API_KEY`: API key for any OpenAI-style API.
- `-m MODEL`, `--model MODEL`: Model name (default: gpt-3.5-turbo).
- `-u BASE_URL`, `--base-url BASE_URL`: Base URL for other OpenAI-style APIs.
- `-x PROXY`, `--proxy PROXY`: Proxy for API connection.
